#! /usr/bin/env bash

if [ "${POSTGRES_SLAVE_MODE}" != 1 ]
then
  echo "Database is not in slave mode. Exiting."
  exit 0
fi


cat <<-EOF > "${PGDATA}/recovery.conf"
  standby_mode = 'on'
  primary_conninfo = 'host=${POSTGRES_REP_HOST} port=${POSTGRES_REP_PORT} user=${POSTGRES_REP_USER} password=${POSTGRES_REP_PASSWORD}'
  trigger_file = '/tmp/postgresql.trigger'
EOF
