#! /usr/bin/env bash

if [ "${POSTGRES_MASTER_MODE}" != 1 ]
then
  echo "Database is not in master mode. Exiting."
  exit 0
fi

cat <<-EOF >> /var/lib/postgresql/data/pg_hba.conf
  host    replication     ${POSTGRES_REP_USER}      ${POSTGRES_REP_ALLOWED_HOST}           md5
EOF
